uuid: 12f593e7-0754-4dd5-a11e-d378bdd14dd3
langcode: en
status: true
dependencies: {  }
id: gronze_media_image
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - files
  - gronze
  - media_image
  - level2
migration_group: gronze_files
label: 'Media Image migration from Gronze D7'
source:
  plugin: d7_file_entity_item_gronze
  scheme: public
  type: image
  high_water_property:
    name: fid
    alias: fm
process:
  langcode:
    plugin: default_value
    default_value: es
  field_media_image/target_id:
    -
      plugin: migration_lookup
      migration: gronze_file_managed
      source: fid
      no_stub: true
    -
      plugin: skip_on_empty
      method: row
  field_media_image/alt: field_file_image_alt_text/0/value
  field_media_image/title: field_file_image_title_text/0/value
  field_file_author: field_file_author
  field_file_link/uri: field_file_link/url
  field_file_link/title: field_file_link/title
  field_file_ref_content:
    plugin: sub_process
    source: field_file_ref_content
    process:
      target_id:
        plugin: migration_lookup
        migration:
          - gronze_node_caminos
          - gronze_node_etapas
        source: target_id
        no_stub: true
  field_file_ref_terms:
    plugin: sub_process
    source: field_file_ref_terms
    process:
      target_id:
        plugin: migration_lookup
        migration:
          - gronze_taxonomy_locations
          - gronze_taxonomy_regions
        source: target_id
        no_stub: true
  field_ref_localidades:
    plugin: sub_process
    source: field_ref_localidades
    process:
      target_id:
        plugin: migration_lookup
        migration: gronze_taxonomy_locations
        source: tid
        no_stub: true
  field_rating_quality:
    plugin: rating_quality_transform
    source: field_rating_quality
  field_tags:
    plugin: sub_process
    source: field_tags
    process:
      target_id:
        plugin: migration_lookup
        migration: gronze_taxonomy_tags
        source: tid
        no_stub: true
  status: status
  created: timestamp
  changed: timestamp
  uid:
    plugin: migration_lookup
    migration: gronze_user_accounts
    source: uid
    no_stub: true
destination:
  plugin: 'entity:media'
  default_bundle: image
migration_dependencies:
  required:
    - gronze_file_managed
    - gronze_taxonomy_tags
    - gronze_taxonomy_locations
    - gronze_taxonomy_regions
    - gronze_node_caminos
    - gronze_node_etapas
    - gronze_user_accounts
